# Python version of David Faure's <faure@kde.org> dcop presentation automation script for kpresenter
#
# Simon Hausmann <hausmann@kde.org>
from time import sleep
import pcop
import pydcop

app = pydcop.anyAppCalled( "kpresenter" )

if not app: raise RuntimeError, "Couldn't find a running KPresenter"

doc = app.KoApplicationIface.getDocuments()[0]
view = doc.view(0)

startAction = view.action( "screen_start" )

print "Starting Presentation %s" % doc.url()

startAction.activate()

sleep( 5 )

act = view.action( "screen_next" )
while startAction.enabled() == 0:
	sleep( 10 )
	if startAction.enabled() == 0:
	  act.activate()
	
view.screenStop()
print "Presentation finished."
